﻿/* Global styles */
body {
	font-family: "DM Sans 14pt", sans-serif;
	background-color: #2b2b2b;
	margin: 0;
	padding: 20px;
}

h1 {
	color: #dddddd;
	text-align: center;
}

/* Table Styles */
table {
	width: 100%;
	border-collapse: collapse;
	margin-top: 20px;
	background-color: #4343436e;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
	border-radius: 8px;
	overflow: hidden;
	table-layout: fixed;
}

th, td {
	padding: 15px 30px;
	text-align: left;
	border-top: 1px solid #616161;
	color: #efefef;
	font-size: 14px;
	overflow: hidden;
	text-overflow: ellipsis;
	word-wrap: break-word;
}

a {
	color: #ff9961;
	text-decoration: none;
	font-weight:600;
}



/* Table Header */
th {
	background-color: #1a1a1a;
	color: white;
	cursor: pointer;
	border: none;
	font-size: 14px;
}

	th.sort-asc::after {
		content: " 🔼";
	}

	th.sort-desc::after {
		content: " 🔽";
	}

/* Row Hover Effect */
tr:hover {
	background-color: #f1f1f11c;
}

/* Responsive Design for Smaller Screens */
@media (max-width: 768px) {
	table {
		width: 100%;
		font-size: 12px;
	}

	th, td {
		padding: 10px;
	}
}

/* Footer or Action Section */
#footer {
	margin-top: 30px;
	text-align: center;
	font-size: 14px;
	color: #666;
}

/* Pagination Styles */
.pagination {
	display: flex;
	justify-content: center;
	align-items: center;
	margin-top: 20px;
}

.page-btn {
	padding: 8px 16px;
	margin: 0 5px;
	border: 1px solid #ddd;
	background-color: #f0f0f0;
	cursor: pointer;
	font-size: 16px;
}

	.page-btn:hover {
		background-color: #ccc;
	}

.page-number {
	font-size: 18px;
	margin: 0 10px;
}

.top-filter-div {
	text-align: center;
	padding: 10px;
	border: none;
	border-radius: 8px;
	background-color: transparent;
	padding-bottom: 40px;
	margin-top: -60px;
}

select {
	float: left;
	font-family: inherit;
	font-size: 16px;
	border-radius: 4px;
	background-color: #5f5f5f;
	color: #fff;
	font-weight: 500;
	padding: 6px 10px;
}

h3 {
	text-align: left;
	color: #dddddd;
}

#header {
	padding: 30px;
	background-color: #00000047;
	border-radius: 16px;
}

nav a {
	margin-right: 4rem;
	text-align: center;
	font-weight: 600;
	color: #fff;
}

	nav a:active, nav a:hover, nav a:focus {
		border-bottom: 3px solid #F96819;
		color: #F96819;
	}

nav img{
	float: right;
	margin-top: -14px;
}

nav a.signout {
	text-align: right;
	float: right;
	background: #F96819;
	padding: 10px 20px;
	margin-top: -10px;
	border-radius: 5px;
	color: #fff;
}

nav a.signout:hover{
	background-color: #000;
	border: none;
}

button.nuke{
	background-color: #000;
	border-radius: 5px;
	color: #fff;
	padding: 10px;
	font-family: inherit;
	font-weight: 600;
	border: none;
}

	button.nuke:hover {
		background-color:#616161;
	}

button.delete {
	background-color: #313f81;
	border-radius: 5px;
	color: #fff;
	padding: 10px;
	font-family: inherit;
	font-weight: 600;
	border: none;
}

	button.delete:hover {
		background-color: #0d2077;
	}

	input {
		background: #737373;
		border-radius: 5px;
		border: none;
		padding: 10px;
		color: #fff;
		font-family: inherit;
		font-size: 16px;
	}

	input[type=checkbox] {
		/* Double-sized Checkboxes */
		-ms-transform: scale(1.5); /* IE */
		-moz-transform: scale(1.5); /* FF */
		-webkit-transform: scale(1.5); /* Safari and Chrome */
		-o-transform: scale(1.5); /* Opera */
		transform: scale(1.5);
		padding: 10px;

	}

button[onclick="submitChanges()"] {
	background-color: #c95800;
	border-radius: 5px;
	color: #fff;
	padding: 10px 30px;
	font-family: inherit;
	font-weight: 600;
	border: none;
	font-size: 16px;
	margin-top: 2rem;
}

.g-signin2 {
	text-align: center;
	
}

.abcRioButton.abcRioButtonLightBlue {
	height: 36px !important;
	width: 170px !important;
	border-radius: 5px;
	text-align: center;
	margin: auto;
}

div.login {
	margin-top: 10rem;
	width: 600px;
	margin-left: auto;
	margin-right: auto;
	background: #393939;
	border-radius: 20px;
	padding: 5rem;
}

h1.login{
	text-align: center;
	margin: auto;
}

img.af-logo {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

footer {
	position: fixed;
	left: 0;
	bottom: 0;
	width: 100%;
	background-color: #434343;
	color: white;
	text-align: center;
}
